This example shows how to supply custom headers for JSON Database. First, create a new report instance:

<script type="text/javascript">
	// Create a new report instance
	var report = new Stimulsoft.Report.StiReport();

...

Then, in onBeginProcessData event handler add custom HTTP headers:
...

	// In `onBeginProcessData` event handler add custom HTTP headers
	report.onBeginProcessData = function (args) {
		if (
			args.database === "JSON" && 
			args.command === "GetData" && 
			args.pathData && args.pathData.indexOf("/reports/ProtectedDemo.json") >= 0
		) {
			// Add custom header to pass through backend server protection
			args.headers.push({key: "X-Auth-Token", value: "*YOUR TOKEN*"});
		}
	};
	
...

After that, load report from URL and render it:
...

	// Load report from url
	report.loadFile("../reports/SimpleListWithProtectedJson.mrt");
	// Render report
	report.renderAsync(function () {
		document.getElementById("savePdf").disabled = false;
	});
	
...

Finally, export report to PDF format and save it to file:
...

	// Export report to PDF format and save to file
	function saveReportPdf() {
		// Export to PDF
		report.exportDocumentAsync(function (pdfData) {
			// Get report file name
			var fileName = report.reportAlias;
			// Save data to file
			Stimulsoft.System.StiObject.saveAs(pdfData, fileName + ".pdf", "application/pdf");
		}, Stimulsoft.Report.StiExportFormat.Pdf);
	}
</script>

In the screenshot below you can see the result of the sample code:

Supply Custom Headers for JSON Database

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

When a JSON data source is served by a protected backend, you can attach custom HTTP headers to each data request.

Preparing the data. Read or create the data source, register it in the report dictionary, synchronize the schema, and render with the supplied records.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer'

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/MasterDetail.mrt");

report.onBeginProcessData = function (args) {
    if (args.database === "JSON" && args.command === "GetData") {
        // Add custom header to pass through backend server protection
        args.headers.push({ key: "X-Auth-Token", value: "*YOUR TOKEN*" });
    }
};

var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.appearance.fullScreenMode = true;
</script>

<template>
    <Viewer :report="report" :options="viewerOptions" />
</template>
The onBeginProcessData event fires before every data request; pushing an entry onto args.headers (here an X-Auth-Token) lets the call pass through server-side protection.
In the screenshot below you can see the result of the sample code:

Supply Custom Headers for JSON Database

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

When a JSON data source is served by a protected backend, you can attach custom HTTP headers to each data request.

Preparing the data. Read or create the data source, register it in the report dictionary, synchronize the schema, and render with the supplied records.
@Component({
    selector: "supply-custom-headers-for-json-database",
    imports: [Viewer],
    template: `<sti-viewer [report]="report"  [options]="viewerOptions"></sti-viewer>`
})

export class SupplyCustomHeadersForJsonDatabase {
    report: Stimulsoft.Report.StiReport;
    viewerOptions: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Reports/MasterDetail.mrt");

        this.report.onBeginProcessData = function (args) {
            if (args.database === "JSON" && args.command === "GetData") {
                // Add custom header to pass through backend server protection
                args.headers.push({ key: "X-Auth-Token", value: "*YOUR TOKEN*" });
            }
        };

        this.viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
        this.viewerOptions.appearance.fullScreenMode = true;
    }
}

The onBeginProcessData event fires before every data request; pushing an entry onto args.headers (here an X-Auth-Token) lets the call pass through server-side protection.
In the screenshot below you can see the result of the sample code:

Supply Custom Headers for JSON Database

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.